searchNodes=[{"ref":"Licensir.html","title":"Licensir","type":"module","doc":""},{"ref":"Licensir.FileAnalyzer.html","title":"Licensir.FileAnalyzer","type":"module","doc":""},{"ref":"Licensir.FileAnalyzer.html#analyze/1","title":"Licensir.FileAnalyzer.analyze/1","type":"function","doc":""},{"ref":"Licensir.Guesser.html","title":"Licensir.Guesser","type":"module","doc":"A module that determines a dependency&#39;s license based on different sources gathered."},{"ref":"Licensir.Guesser.html#guess/1","title":"Licensir.Guesser.guess/1","type":"function","doc":"Guess the license based on the available license data."},{"ref":"Licensir.License.html","title":"Licensir.License","type":"module","doc":"Stores license information for a dependency."},{"ref":"Licensir.License.html#__struct__/0","title":"Licensir.License.__struct__/0","type":"function","doc":"The struct that keeps information about a dependency&#39;s license. It contains: app - the depedency&#39;s name as an atom version - the version of the dependency being used license - the best guess of the license certainty - the certainty that the guessed license is correct on a scale of 0.0 to 1.0 license_mix - the license defined in the dependency&#39;s mix.exs file license_file - the license defined in the dependency&#39;s LICENSE or LICENSE.md file"},{"ref":"Licensir.License.html#t:t/0","title":"Licensir.License.t/0","type":"type","doc":""},{"ref":"Licensir.NamingVariants.html","title":"Licensir.NamingVariants","type":"module","doc":"Consolidate different naming variants of the same license to a single name."},{"ref":"Licensir.NamingVariants.html#normalize/1","title":"Licensir.NamingVariants.normalize/1","type":"function","doc":"Turns all variants of the names into a single one. Duplicates are removed if found in the list of variants."},{"ref":"Licensir.Scanner.html","title":"Licensir.Scanner","type":"module","doc":"Scans the project&#39;s dependencies for their license information."},{"ref":"Licensir.Scanner.html#scan/1","title":"Licensir.Scanner.scan/1","type":"function","doc":"Scans all dependencies, formats into a list, and print out the result."},{"ref":"Mix.Tasks.Licenses.html","title":"Mix.Tasks.Licenses","type":"task","doc":"Lists the licenses defined by each dependecy. Arguments mix licenses # Prints a list containing the licenses defined in each dependency"},{"ref":"Mix.Tasks.Licenses.html#run/1","title":"Mix.Tasks.Licenses.run/1","type":"function","doc":"A task needs to implement run which receives a list of command line args. Callback implementation for Mix.Task.run/1."},{"ref":"TableRex.html","title":"TableRex","type":"module","doc":"TableRex generates configurable, text-based tables for display"},{"ref":"TableRex.html#quick_render/3","title":"TableRex.quick_render/3","type":"function","doc":"A shortcut function to render with a one-liner. Sacrifices all customisation for those that just want sane defaults. Returns {:ok, rendered_string} on success and {:error, reason} on failure."},{"ref":"TableRex.html#quick_render!/3","title":"TableRex.quick_render!/3","type":"function","doc":"A shortcut function to render with a one-liner. Sacrifices all customisation for those that just want sane defaults. Returns the rendered_string on success and raises RuntimeError on failure."},{"ref":"TableRex.Cell.html","title":"TableRex.Cell","type":"module","doc":"Defines a struct that represents a single table cell, and helper functions. A cell stores both the original data and the string-rendered version, this decision was taken as a tradeoff: this way uses more memory to store the table structure but the renderers gain the ability to get direct access to the string-coerced data rather than having to risk repeated coercion or handle their own storage of the computer values. Fields: raw_value: The un-coerced original value rendered_value: The stringified value for rendering align: :left: left align text in the cell. :center: center text in the cell. :right: right align text in the cell. nil: align text in cell according to column alignment. color: the ANSI color of the cell. If creating a Cell manually: raw_value is the only required key to enable that Cell to work well with the rest of TableRex. It should be set to a piece of data that can be rendered to string."},{"ref":"TableRex.Cell.html#to_cell/1","title":"TableRex.Cell.to_cell/1","type":"function","doc":"Converts the passed value to be a normalised %Cell{} struct. If a non %Cell{} value is passed, this function returns a new %Cell{} struct with: the rendered_value key set to the stringified binary of the value passed in. the raw_value key set to original data passed in. any other options passed are applied over the normal struct defaults, which allows overriding alignment &amp; color. If a %Cell{} is passed in with no rendered_value key, then the raw_value key&#39;s value is rendered and saved against it, otherwise the Cell is passed through untouched. This is so that advanced use cases which require direct Cell creation and manipulation are not hindered."},{"ref":"TableRex.Cell.html#to_cell/2","title":"TableRex.Cell.to_cell/2","type":"function","doc":""},{"ref":"TableRex.Cell.html#t:t/0","title":"TableRex.Cell.t/0","type":"type","doc":""},{"ref":"TableRex.Column.html","title":"TableRex.Column","type":"module","doc":"Defines a struct that represents a column&#39;s metadata The align field can be one of :left, :center or :right."},{"ref":"TableRex.Column.html#t:t/0","title":"TableRex.Column.t/0","type":"type","doc":""},{"ref":"TableRex.Error.html","title":"TableRex.Error","type":"exception","doc":""},{"ref":"TableRex.Renderer.html","title":"TableRex.Renderer","type":"behaviour","doc":"An Elixir behaviour that defines the API Renderers should conform to, allowing for display output in a variety of formats."},{"ref":"TableRex.Renderer.html#c:default_options/0","title":"TableRex.Renderer.default_options/0","type":"callback","doc":"Returns a Map of the options and their default values required by the renderer."},{"ref":"TableRex.Renderer.html#c:render/2","title":"TableRex.Renderer.render/2","type":"callback","doc":"Renders a passed %TableRex.Table{} struct into a string."},{"ref":"TableRex.Renderer.html#t:render_return/0","title":"TableRex.Renderer.render_return/0","type":"type","doc":"Return value of the render function."},{"ref":"TableRex.Renderer.Text.html","title":"TableRex.Renderer.Text","type":"module","doc":"Renderer module which handles outputting ASCII-style tables for display."},{"ref":"TableRex.Renderer.Text.html#default_options/0","title":"TableRex.Renderer.Text.default_options/0","type":"function","doc":"Provides a level of sane defaults for the Text rendering module."},{"ref":"TableRex.Renderer.Text.html#render/2","title":"TableRex.Renderer.Text.render/2","type":"function","doc":"Implementation of the TableRex.Renderer behaviour. Available styling options. horizontal_styles controls horizontal separators and can be one of: :all: display separators between and around every row. :header: display outer and header horizontal separators only. :frame: display outer horizontal separators only. :off: display no horizontal separators. vertical_styles controls vertical separators and can be one of: :all: display between and around every column. :frame: display outer vertical separators only. :off: display no vertical separators."},{"ref":"TableRex.Renderer.Text.Meta.html","title":"TableRex.Renderer.Text.Meta","type":"module","doc":"The data structure for the TableRex.Renderer.Text rendering module, it holds results of style &amp; dimension calculations to be passed down the render pipeline."},{"ref":"TableRex.Renderer.Text.Meta.html#col_width/2","title":"TableRex.Renderer.Text.Meta.col_width/2","type":"function","doc":"Retreives the column width at the given column index."},{"ref":"TableRex.Renderer.Text.Meta.html#inner_width/1","title":"TableRex.Renderer.Text.Meta.inner_width/1","type":"function","doc":"Retreives the &quot;inner width&quot; of the table, which is the full width minus any frame."},{"ref":"TableRex.Renderer.Text.Meta.html#row_height/2","title":"TableRex.Renderer.Text.Meta.row_height/2","type":"function","doc":"Retreives the row width at the given row index."},{"ref":"TableRex.Table.html","title":"TableRex.Table","type":"module","doc":"A set of functions for working with tables. The Table is represented internally as a struct though the fields are private and must not be accessed directly. Instead, use the functions in this module."},{"ref":"TableRex.Table.html#add_row/2","title":"TableRex.Table.add_row/2","type":"function","doc":"Adds a single row to the table."},{"ref":"TableRex.Table.html#add_rows/2","title":"TableRex.Table.add_rows/2","type":"function","doc":"Adds multiple rows to the table."},{"ref":"TableRex.Table.html#clear_all_column_meta/1","title":"TableRex.Table.clear_all_column_meta/1","type":"function","doc":"Removes column meta for all columns, effectively resetting column meta back to the default options across the board."},{"ref":"TableRex.Table.html#clear_rows/1","title":"TableRex.Table.clear_rows/1","type":"function","doc":"Removes all row data from the table, keeping everything else."},{"ref":"TableRex.Table.html#get_column_meta/3","title":"TableRex.Table.get_column_meta/3","type":"function","doc":"Retreives the value of a column meta option at the specified col_index. If no value has been set, default values are returned."},{"ref":"TableRex.Table.html#has_header?/1","title":"TableRex.Table.has_header?/1","type":"function","doc":"Returns a boolean detailing if the passed table has a header row set."},{"ref":"TableRex.Table.html#has_rows?/1","title":"TableRex.Table.has_rows?/1","type":"function","doc":"Returns a boolean detailing if the passed table has any row data set."},{"ref":"TableRex.Table.html#new/0","title":"TableRex.Table.new/0","type":"function","doc":"Creates a new blank table. The table created will not be able to be rendered until it has some row data. Examples iex&gt; Table.new %TableRex.Table{}"},{"ref":"TableRex.Table.html#new/3","title":"TableRex.Table.new/3","type":"function","doc":"Creates a new table with an initial set of rows and an optional header and title."},{"ref":"TableRex.Table.html#put_cell_meta/4","title":"TableRex.Table.put_cell_meta/4","type":"function","doc":"Sets cell level information such as alignment."},{"ref":"TableRex.Table.html#put_column_meta/3","title":"TableRex.Table.put_column_meta/3","type":"function","doc":"Sets column level information such as padding and alignment."},{"ref":"TableRex.Table.html#put_header/2","title":"TableRex.Table.put_header/2","type":"function","doc":"Sets a list as the optional header row. Set to nil or [] to remove an already set header from renders."},{"ref":"TableRex.Table.html#put_header_meta/3","title":"TableRex.Table.put_header_meta/3","type":"function","doc":"Sets cell level information for the header cells."},{"ref":"TableRex.Table.html#put_title/2","title":"TableRex.Table.put_title/2","type":"function","doc":"Sets a string as the optional table title. Set to nil or &quot;&quot; to remove an already set title from renders."},{"ref":"TableRex.Table.html#render/2","title":"TableRex.Table.render/2","type":"function","doc":"Renders the current table state to string, ready for display via IO.puts/2 or other means. At least one row must have been added before rendering. Returns {:ok, rendered_string} on success and {:error, reason} on failure."},{"ref":"TableRex.Table.html#render!/2","title":"TableRex.Table.render!/2","type":"function","doc":"Renders the current table state to string, ready for display via IO.puts/2 or other means. At least one row must have been added before rendering. Returns the rendered string on success, or raises TableRex.Error on failure."},{"ref":"TableRex.Table.html#sort/3","title":"TableRex.Table.sort/3","type":"function","doc":"Sorts the table rows by using the values in a specified column. This is very much a simple sorting function and relies on Elixir&#39;s built-in comparison operators &amp; types to cover the basic cases. As each cell retains the original value it was created with, we use that value to sort on as this allows us to sort on many built-in types in the most obvious fashions. Remember that rows are stored internally in reverse order that they will be output in, to allow for fast insertion. Parameters: `column_index`: the 0-indexed column number to sort by `order`: supply :desc or :asc for sort direction. Returns a new Table, with sorted rows."},{"ref":"TableRex.Table.html#t:t/0","title":"TableRex.Table.t/0","type":"type","doc":""}]